This is the multi-page printable view of this section. Click here to print.
APIs
- 1: Add Block Storages
- 1.1: 1.0
- 2: Create Cluster
- 2.1: 1.0
- 3: Create Replica
- 3.1: 1.0
- 4: Create Restore Cluster
- 4.1: 1.0
- 5: Export Log
- 5.1: 1.0
- 6: List Backup Histories
- 6.1: 1.0
- 7: List Clusters
- 7.1: 1.0
- 8: List Engine Version Properties
- 8.1: 1.0
- 9: List Engine Versions
- 9.1: 1.0
- 10: List Log Export Configs
- 10.1: 1.0
- 11: List Parameter Groups
- 11.1: 1.0
- 12: List Parameter Values
- 12.1: 1.0
- 13: List Parameters
- 13.1: 1.0
- 14: List Replicas
- 14.1: 1.0
- 15: List Server Types
- 15.1: 1.0
- 16: Patch Minor Version
- 16.1: 1.0
- 17: Promote Replica Cluster
- 17.1: 1.0
- 18: Register Log Export Config
- 18.1: 1.0
- 19: Remove Backup Histories
- 19.1: 1.0
- 20: Reset Replica
- 20.1: 1.0
- 21: Restart Cluster
- 21.1: 1.0
- 22: Set Archive Config
- 22.1: 1.0
- 23: Set Audit Log
- 23.1: 1.0
- 24: Set Backup
- 24.1: 1.0
- 25: Set Block Storage Size
- 25.1: 1.0
- 26: Set Log Export Config
- 26.1: 1.0
- 27: Set Maintenance
- 27.1: 1.0
- 28: Set Parameter Values
- 28.1: 1.0
- 29: Set Security Group Rules
- 29.1: 1.0
- 30: Set Server Type
- 30.1: 1.0
- 31: Show Archive Config
- 31.1: 1.0
- 32: Show Cluster
- 32.1: 1.0
- 33: Show Request
- 33.1: 1.0
- 34: Start Cluster
- 34.1: 1.0
- 35: Stop Cluster
- 35.1: 1.0
- 36: Switchover Cluster
- 36.1: 1.0
- 37: Synchronize Archive Config
- 37.1: 1.0
- 38: Synchronize Cluster State
- 38.1: 1.0
- 39: Synchronize Parameter Values
- 39.1: 1.0
- 40: Synchronize Replica State
- 40.1: 1.0
- 41: Terminate Cluster
- 41.1: 1.0
- 42: Unregister Log Export Config
- 42.1: 1.0
- 43: Unset Backup
- 43.1: 1.0
- 44: Unset Maintenance
- 44.1: 1.0
1 - Add Block Storages
1.1 - 1.0
post /v1/instance-groups/{instance_group_id}/block-storage-groups
Description
Add Block Storages.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | instance_group_id required | Instance group ID Example : | string | None |
| body | body required | AddBlockStoragesRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/instance-groups/{instance_group_id}/block-storage-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"role_type": "",
"size_gb": 104,
"volume_type": "SSD"
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
2 - Create Cluster
2.1 - 1.0
post /v1/clusters
Description
Create Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MariadbClusterCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"allowable_ip_addresses": [],
"dbaas_engine_version_id": "",
"ha_enabled": false,
"init_config_option": {
"audit_enabled": false,
"backup_option": {
"archive_frequency_minute": "60",
"retention_period_day": "7",
"starting_time_hour": "2"
},
"database_character_set": "utf8",
"database_name": "",
"database_port": 2866,
"database_user_name": "",
"database_user_password": ""
},
"instance_groups": [
{
"block_storage_groups": [
{
"role_type": "",
"size_gb": 104,
"volume_type": "SSD"
}
],
"instances": [
{
"public_ip_id": "",
"role_type": "ACTIVE",
"service_ip_address": ""
}
],
"role_type": "ACTIVE",
"server_type_name": ""
}
],
"instance_name_prefix": "",
"maintenance_option": {
"period_hour": "",
"starting_day_of_week": "MON",
"starting_time": ""
},
"name": "",
"nat_enabled": false,
"origin_cluster_id": "",
"subnet_id": "",
"tags": [],
"timezone": "",
"vip_public_ip_id": "",
"virtual_ip_address": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
3 - Create Replica
3.1 - 1.0
post /v1/clusters/{cluster_id}/replicas
Description
Create Replica.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | ReplicasCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/replicas
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"allowable_ip_addresses": [
""
],
"maintenance_option": {
"period_hour": "",
"starting_day_of_week": "MON",
"starting_time": ""
},
"replica_count": "",
"replicas": [
{
"instance_groups": [
{
"block_storage_groups": [
{
"role_type": "",
"size_gb": 104,
"volume_type": "SSD"
}
],
"instances": [
{
"public_ip_id": "",
"role_type": "ACTIVE",
"service_ip_address": ""
}
],
"role_type": "ACTIVE",
"server_type_name": ""
}
],
"name": ""
}
],
"tags": []
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
4 - Create Restore Cluster
4.1 - 1.0
post /v1/clusters/{cluster_id}/restore
Description
Create Restore Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | ClusterRestoreRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/restore
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"allowable_ip_addresses": [],
"backup_history_number": "",
"backup_recovery_time": "",
"block_storage_groups": [],
"instance_name_prefix": "",
"maintenance_option": {
"period_hour": "",
"starting_day_of_week": "MON",
"starting_time": ""
},
"name": "",
"server_type_name": "",
"tags": []
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
5 - Export Log
5.1 - 1.0
post /v1/clusters/{cluster_id}/log-export-configs/{log_type}/export
Description
Export Log.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| path | log_type required | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs/{log_type}/export
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
6 - List Backup Histories
6.1 - 1.0
get /v1/clusters/{cluster_id}/backup-histories
Description
List Backup Histories.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| query | limit optional | Number of backup lists Example : | any of [integer, null] | None |
| query | page optional | Backup list page Example : | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BackupHistoryListApiResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backup-histories
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"backup_end_at": "",
"backup_history_number": "",
"backup_size_gb": "",
"backup_start_at": "",
"backup_state": "",
"backup_state_detail": "",
"software_version": ""
}
],
"total_count": ""
}
7 - List Clusters
7.1 - 1.0
get /v1/clusters
Description
List Clusters.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
| query | name optional | Cluster name Example : | any of [string, null] | None |
| query | service_state optional | Service state Example : | any of [string, null] | None |
| query | database_name optional | Database Name Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | RdbClusterPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"database_name": "",
"ha_enabled": false,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"instance_count": 0,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"role_type": "ORIGIN",
"service_state": "RUNNING"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
8 - List Engine Version Properties
8.1 - 1.0
get /v1/engine-versions/{dbaas_engine_version_id}/properties
Description
List Engine Version Properties.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | dbaas_engine_version_id required | DBaaS engine version ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EnginePropertyListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/engine-versions/{dbaas_engine_version_id}/properties
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"name": "",
"value": ""
}
]
}
9 - List Engine Versions
9.1 - 1.0
get /v1/engine-versions
Description
List Engine Versions.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | id optional | DBaaS engine version ID Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null] | None |
| query | eos_included optional | EoS included Example : False | boolean | False |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EngineListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/engine-versions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"end_of_service": false,
"id": "",
"major_version": "",
"name": "",
"os_type": "",
"os_version": "",
"product_image_type": "",
"software_version": ""
}
]
}
10 - List Log Export Configs
10.1 - 1.0
get /v1/clusters/{cluster_id}/log-export-configs
Description
List Log Export Configs.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| query | type optional | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogExportConfigListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"bucket_name": "examplebucket",
"delete_on_export": true,
"is_bucket_deleted": false,
"is_registered": true,
"log_label": "DB Alert Log",
"log_type": "alert",
"schedule_day_of_month": "28",
"schedule_day_of_week": "MON",
"schedule_frequency_type": "DAY",
"schedule_hour": "12"
}
],
"count": 1
}
11 - List Parameter Groups
11.1 - 1.0
get /v1/parameter-groups
Description
List Parameter Groups.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | major_version optional | Software major version Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParameterGroupListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/parameter-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"id": "",
"major_version": "",
"name": "",
"product_image_type": "",
"product_type": ""
}
],
"sort": [
""
]
}
12 - List Parameter Values
12.1 - 1.0
get /v1/clusters/{cluster_id}/parameters
Description
List Parameter Values.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParametersResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/parameters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"allows_value": "",
"applied_value": "",
"apply_type": "",
"data_type": "",
"default_value": "",
"description": "",
"id": "",
"is_modifiable": "",
"name": "",
"software_type": ""
}
],
"count": "",
"modified_at": ""
}
13 - List Parameters
13.1 - 1.0
get /v1/parameters
Description
List Parameters.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | name:asc |
| query | dbaas_parameter_group_id required | Parameter group ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ParameterPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/parameters?dbaas_parameter_group_id={dbaas_parameter_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"dbaas_parameter_group_id": "",
"default_value": "",
"description": "",
"id": "",
"name": "",
"software_type": ""
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
14 - List Replicas
14.1 - 1.0
get /v1/clusters/{cluster_id}/replicas
Description
List Replicas.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ReplicasListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/replicas
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"name": "",
"region": "",
"replica_state": "",
"replica_state_detail": "",
"synced_at": ""
}
],
"count": ""
}
15 - List Server Types
15.1 - 1.0
get /v1/server-types
Description
List Server Types.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | name optional | Server type name Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerTypeListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/server-types
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cpu_core": "",
"description": "",
"memory_gb": "",
"name": "",
"product_image_type": "",
"product_type": "",
"purpose": "",
"type": ""
}
]
}
16 - Patch Minor Version
16.1 - 1.0
put /v1/clusters/{cluster_id}/patch
Description
Patch Minor Version.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | DB cluster id Example : | string | None |
| body | body required | MinorPatchRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/patch
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"backup_before_upgrade": "",
"software_version": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
17 - Promote Replica Cluster
17.1 - 1.0
post /v1/clusters/{cluster_id}/promote
Description
Promote Replica Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/promote
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
18 - Register Log Export Config
18.1 - 1.0
post /v1/clusters/{cluster_id}/log-export-configs
Description
Register Log Export Config.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | LogExportConfigCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"access_key": "13952a8851244213f2de8d95069bf161",
"bucket_name": "examplebucket",
"delete_on_export": true,
"log_type": "alert",
"schedule_day_of_month": "28",
"schedule_day_of_week": "MON",
"schedule_frequency_type": "DAY",
"schedule_hour": "12",
"secret_key": "secretkey"
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
19 - Remove Backup Histories
19.1 - 1.0
put /v1/clusters/{cluster_id}/backup-histories
Description
Remove Backup Histories.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | BackupHistoryNumberRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backup-histories
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"backup_history_number": [
""
]
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
20 - Reset Replica
20.1 - 1.0
post /v1/clusters/{replica_cluster_id}/reset-replica
Description
Reset Replica.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | replica_cluster_id required | Replica cluster id Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{replica_cluster_id}/reset-replica
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
21 - Restart Cluster
21.1 - 1.0
post /v1/clusters/{cluster_id}/restart
Description
Restart Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/restart
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
22 - Set Archive Config
22.1 - 1.0
put /v1/clusters/{cluster_id}/archive
Description
Set Archive Config.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| body | body required | ArchiveConfigSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/archive
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"archive_enabled": true,
"retention_period_day": 1
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
23 - Set Audit Log
23.1 - 1.0
put /v1/clusters/{cluster_id}/audit-log
Description
Set Audit Log.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | AuditLogRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/audit-log
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"use_audit_log": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
24 - Set Backup
24.1 - 1.0
post /v1/clusters/{cluster_id}/backups
Description
Set Backup.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | BackupSettingRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"archive_frequency_minute": "",
"retention_period_day": "",
"starting_time_hour": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
25 - Set Block Storage Size
25.1 - 1.0
post /v1/block-storage-groups/{block_storage_group_id}/resize
Description
Set Block Storage Size.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | block_storage_group_id required | Block storage group ID Example : afc33891202643ba8ba1a5298a1affff | string | None |
| body | body required | ResizeBlockStorageGroupRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/block-storage-groups/{block_storage_group_id}/resize
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"size_gb": 16
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
26 - Set Log Export Config
26.1 - 1.0
put /v1/clusters/{cluster_id}/log-export-configs/{log_type}
Description
Set Log Export Config.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| path | log_type required | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
| body | body required | LogExportConfigModifyRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs/{log_type}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"access_key": "13952a8851244213f2de8d95069bf161",
"delete_on_export": true,
"schedule_day_of_month": "28",
"schedule_day_of_week": "MON",
"schedule_frequency_type": "DAY",
"schedule_hour": "12",
"secret_key": "secretkey"
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
27 - Set Maintenance
27.1 - 1.0
post /v1/clusters/{cluster_id}/maintenance
Description
Set Maintenance.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | DB cluster id Example : | string | None |
| body | body required | MaintenanceRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/maintenance
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"start_day_of_week": "MON",
"start_minute": "",
"start_time": "",
"term_hour": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
28 - Set Parameter Values
28.1 - 1.0
put /v1/clusters/{cluster_id}/parameters
Description
Set Parameter Values.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | ParametersRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/parameters
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"parameters": [
{
"id": "",
"new_value": "",
"old_value": ""
}
]
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
29 - Set Security Group Rules
29.1 - 1.0
post /v1/clusters/{cluster_id}/security-group-rules
Description
Set Security Group Rules.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | UpdateSecurityGroupRulesRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/security-group-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"add_ip_addresses": [],
"del_ip_addresses": []
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
30 - Set Server Type
30.1 - 1.0
post /v1/instance-groups/{instance_group_id}/resize
Description
Set Server Type.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | instance_group_id required | Instance group ID Example : | string | None |
| body | body required | InstanceGroupResizeRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/instance-groups/{instance_group_id}/resize
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Request body
{
"server_type_name": ""
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
31 - Show Archive Config
31.1 - 1.0
get /v1/clusters/{cluster_id}/archive
Description
Show Archive Config.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ArchiveConfigDetailResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/archive
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"archive_enabled": true,
"retention_period_day": 1
}
32 - Show Cluster
32.1 - 1.0
get /v1/clusters/{cluster_id}
Description
Show Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MariadbClusterDetailResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"account_id": "",
"allowable_ip_addresses": [],
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"dbaas_engine": "",
"dbaas_engine_version_name": "",
"ha_enabled": false,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"init_config_option": {
"audit_enabled": false,
"backup_option": {
"archive_frequency_minute": "60",
"retention_period_day": "7",
"starting_time_hour": "2"
},
"database_character_set": "utf8",
"database_name": "",
"database_port": 2866,
"database_user_name": "",
"origin_region": ""
},
"instance_count": 0,
"instance_groups": [
{
"block_storage_groups": [
{
"id": "",
"name": "",
"role_type": "OS",
"size_gb": "",
"volume_type": "SSD"
}
],
"id": "",
"instances": [
{
"name": "",
"public_ip_address": "",
"public_ip_id": "",
"role_type": "",
"service_ip_address": "",
"service_state": "RUNNING"
}
],
"role_type": "",
"server_type_name": ""
}
],
"maintenance_option": {
"period_hour": "",
"starting_day_of_week": "MON",
"starting_time": "",
"use_maintenance_option": false
},
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"nat_enabled": false,
"origin_cluster_id": "",
"product_image_type": "",
"product_type": "",
"replicas": [
""
],
"role_type": "ORIGIN",
"service_state": "RUNNING",
"software_version": "",
"subnet_id": "",
"timezone": "",
"vip_public_ip_address": "",
"vip_public_ip_id": "",
"virtual_ip_address": ""
}
33 - Show Request
33.1 - 1.0
get /v1/requests/{request_id}
Description
Show Request.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | request_id required | Request ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | RequestStateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/requests/{request_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"request_id": "",
"state": ""
}
34 - Start Cluster
34.1 - 1.0
post /v1/clusters/{cluster_id}/start
Description
Start Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/start
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
35 - Stop Cluster
35.1 - 1.0
post /v1/clusters/{cluster_id}/stop
Description
Stop Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/stop
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
36 - Switchover Cluster
36.1 - 1.0
post /v1/clusters/{cluster_id}/switchover
Description
Switchover Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/switchover
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
37 - Synchronize Archive Config
37.1 - 1.0
post /v1/clusters/{cluster_id}/archive/sync
Description
Synchronize Archive Config.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/archive/sync
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
38 - Synchronize Cluster State
38.1 - 1.0
post /v1/clusters/{cluster_id}/sync-state
Description
Synchronize Cluster State.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 500 | Internal Server Error | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/sync-state
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
39 - Synchronize Parameter Values
39.1 - 1.0
post /v1/clusters/{cluster_id}/parameters/sync
Description
Synchronize Parameter Values.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/parameters/sync
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
40 - Synchronize Replica State
40.1 - 1.0
post /v1/clusters/{origin_cluster_id}/sync-replica-state
Description
Synchronize Replica State.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | origin_cluster_id required | Origin cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{origin_cluster_id}/sync-replica-state
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
41 - Terminate Cluster
41.1 - 1.0
delete /v1/clusters/{cluster_id}
Description
Terminate Cluster.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
42 - Unregister Log Export Config
42.1 - 1.0
delete /v1/clusters/{cluster_id}/log-export-configs/{log_type}
Description
Unregister Log Export Config.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 109a585ae67b4e8482fdafc8a4a5be74 | string | None |
| path | log_type required | Log type Example : alert | any of [enum (alert, audit, slow), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/log-export-configs/{log_type}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
43 - Unset Backup
43.1 - 1.0
delete /v1/clusters/{cluster_id}/backups
Description
Unset Backup.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}
44 - Unset Maintenance
44.1 - 1.0
delete /v1/clusters/{cluster_id}/maintenance
Description
Unset Maintenance.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | DB cluster id Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/maintenance
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}